> ## Documentation Index
> Fetch the complete documentation index at: https://doc-test-my.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Linked Account

> Update Linked Accounts using the Razorpay API.

Use this endpoint to update a Linked Account details.

You can update all other fields except `business_type` and `email` on the created Linked Account.

<RequestExample>
  ```bash Curl theme={null}
  curl -X PATCH https://api.razorpay.com/v2/accounts/acc_LWXFUBYnysbYFV \
  -u <YOUR_KEY_ID>:<YOUR_KEY_SECRET> \
  -H "Content-type: application/json" \
  -d '{
    "legal_business_name": "Acme Corp V2",
    "profile": {
      "addresses": {
        "operation": {
          "street1": "5071, Koramangala 6th block",
          "street2": "Kormanagala",
          "city": "Bengaluru",
          "state": "Karnataka",
          "postal_code": 560047,
          "country": "IN"
        }
      }
    },
    "legal_info": {
      "pan": "BAACL1234C",
      "gst": "10AABCU9603R1ZM"
    }
  }'
  ```

  ```bash CLI theme={null}
  razorpay route accounts update acc_IEIkSOM5VJb2Lm \
    --phone 9000000000 \
    --customer-facing-business-name "Acme New Name" \
    --profile-category healthcare \
    --profile-subcategory diagnostics \
    --support-email newsupport@acme.example.com \
    --pan AAAPL1234C
  ```
</RequestExample>

<ResponseExample>
  ```json Success theme={null}
  {
    "id": "acc_LWXFUBYnysbYFV",
    "type": "route",
    "status": "created",
    "email": "gaurava.kumar@example.com",
    "profile": {
      "category": "healthcare",
      "subcategory": "clinic",
      "addresses": {
        "registered": {
          "street1": "507, Koramangala 1st block",
          "street2": "MG Road",
          "city": "Bengaluru",
          "state": "KARNATAKA",
          "postal_code": "560034",
          "country": "IN"
        },
        "operation": {
          "street1": "5071, Koramangala 6th block",
          "street2": "Kormanagala",
          "city": "Bengaluru",
          "state": "KARNATAKA",
          "country": "IN",
          "postal_code": 560047
        }
      }
    },
    "notes": [],
    "created_at": 1679917193,
    "phone": "+919000090000",
    "contact_name": "Gaurav Kumar",
    "reference_id": "124126",
    "business_type": "partnership",
    "legal_business_name": "Acme Corp V2",
    "customer_facing_business_name": "Acme Corp V2",
    "legal_info": {
      "pan": "BAACL1234C",
      "gst": "10AABCU9603R1ZM"
    }
  }
  ```

  ```json Failure theme={null}
  {
     "error":{
        "code":"BAD_REQUEST_ERROR",
        "description":"Linked account does not exist",
        "source":"",
        "step":"",
        "reason":"linked_account_id_does_not_exist",
        "metadata":{

        }
     }
  }
  ```
</ResponseExample>

## Path Parameters

<ParamField path="account_id" type="string" required>
  Unique identifier of the Linked Account whose details you need to update.
</ParamField>

## Request Parameters

<ParamField body="phone" type="integer" required>
  The Linked Account's business phone number. The minimum length is 8 characters and the maximum length is 15.
</ParamField>

<ParamField body="legal_business_name" type="string" required>
  The name of the Linked Account's business. For example, `Acme Corp`. The minimum length is 4 characters and the maximum length is 200.
</ParamField>

<ParamField body="customer_facing_business_name" type="string">
  The Linked Account billing label as it appears on the Dashboard. The minimum length is 1 character and the maximum length is 255.
</ParamField>

<ParamField body="reference_id" type="string">
  Partner's external account reference id. The minimum length is 1 character and the maximum length is 512.
</ParamField>

<ParamField body="profile" type="object" required>
  The business details of the Linked Account's account.
</ParamField>

<ParamField body="category" type="string" required>
  The business category of the Linked Account. Possible values: [List of Business Categories](/docs/api/payments/route).
</ParamField>

<ParamField body="subcategory" type="string" required>
  The business sub-category of the Linked Account. Possible values: [List of Business Sub-Categories](/docs/api/payments/route).
</ParamField>

<ParamField body="business_model" type="string">
  The business description. The character limit between 1-255 characters.
</ParamField>

<ParamField body="addresses" type="object">
  Details of Linked Account's address.
</ParamField>

<ParamField body="operation" type="object">
  Details of the Linked Account's operational address.
</ParamField>

<ParamField body="street1" type="string">
  Address, line 1. The maximum length is 100 characters.
</ParamField>

<ParamField body="street2" type="string">
  Address, line 2. The maximum length is 100 characters.
</ParamField>

<ParamField body="city" type="string">
  The city. The maximum length is 100 characters.
</ParamField>

<ParamField body="state" type="string">
  The state. The minimum length is 2 and the maximum length is 32.
</ParamField>

<ParamField body="postal_code" type="integer">
  The postal code. This should be exactly 6 characters.
</ParamField>

<ParamField body="country" type="string">
  The country. The minimum length is 2 and the maximum length is 64. This can either be a country code in capital letters or the full name of the country in lower case letters. For example, for India, you must write either `IN` or `india`.
</ParamField>

<ParamField body="registered" type="object" required>
  Details of the Linked Account's registered address.
</ParamField>

<ParamField body="street1" type="string">
  Address, line 1. The maximum length is 100 characters.
</ParamField>

<ParamField body="street2" type="string">
  Address, line 2. The maximum length is 100 characters.
</ParamField>

<ParamField body="city" type="string">
  The city. The maximum length is 100 characters.
</ParamField>

<ParamField body="state" type="string">
  The state. The minimum length is 2 and the maximum length is 32.
</ParamField>

<ParamField body="postal_code" type="integer">
  The postal code. This should be exactly 6 characters.
</ParamField>

<ParamField body="country" type="string">
  The country. The minimum length is 2 and the maximum length is 64. This can either be a country code in capital letters or the full name of the country in lower case letters. For example, for India, you must write either `IN` or `india`.
</ParamField>

<ParamField body="legal_info" type="object">
  The legal details about the Linked Account's business. The mandatory [KYC requirement](/docs/payments/route/integration-guide#kyc-requirements) parameters should be passed depending on the business requirements.
</ParamField>

<ParamField body="pan" type="string">
  Valid PAN number details of the Linked Account's business.

  * This is a 10-digit alphanumeric code. For example, `AVOJB1111K`.
  * The 4th digit should be either of 'C', 'H', 'F', 'A', 'T', 'B', 'J', 'G', 'L'.
  * The regex for Company PAN is `/^[a-zA-z]{5}\d{4}[a-zA-Z]{1}$/`.
</ParamField>

<ParamField body="gst" type="string">
  Valid GSTIN number details of the Linked Account.

  * This is a 15-digit PAN-based unique identification number.
  * The Regex for GSTIN is `/^[0123][0-9][a-z]{5}[0-9]{4}[a-z][0-9][a-z0-9][a-z0-9]$/gi`.
</ParamField>

<ParamField body="contact_info" type="object">
  Options available for contact support.
</ParamField>

<ParamField body="chargeback" type="object">
  The type of contact support.
</ParamField>

<ParamField body="email" type="string">
  The email id of chargeback POC. The maximum length is:

  * local part (before @): 64 characters.
  * domain part (after @): 68 characters. <br /> The total character length supported is 132.
</ParamField>

<ParamField body="phone" type="integer">
  The phone number of chargeback POC. The maximum length is 10 characters.
</ParamField>

<ParamField body="policy_url" type="string">
  The URL of chargeback policy. Regex is (protocol://`razorpay.com`:port/resource path?querystring#fragementid)<br /> protocol-both http/https allowed. Only domain name is mandatory.
</ParamField>

<ParamField body="refund" type="object">
  The type of contact support.
</ParamField>

<ParamField body="email" type="string">
  The email id of refund POC. The maximum length is:

  * local part (before @): 64 characters.
  * domain part (after @): 68 characters. <br /> The total character length supported is 132.
</ParamField>

<ParamField body="phone" type="integer">
  The phone number of refund POC. The maximum length is 10 characters.
</ParamField>

<ParamField body="policy_url" type="string">
  The URL of refund policy. Regex is (protocol://`razorpay.com`:port/resource path?querystring#fragementid) <br /> protocol-both http/https allowed.
</ParamField>

<ParamField body="support" type="array">
  The type of contact support.
</ParamField>

<ParamField body="email" type="string">
  The email id of support POC. The maximum length is:

  * local part (before @): 64 characters.
  * domain part (after @): 68 characters. <br /> The total character length supported is 132.
</ParamField>

<ParamField body="phone" type="integer">
  The phone number of support POC. The maximum length is 10 characters.
</ParamField>

<ParamField body="policy_url" type="string">
  The URL of support policy. Regex is (protocol://`razorpay.com`:port/resource path?querystring#fragementid) <br /> protocol-both http/https allowed.
</ParamField>

<ParamField body="apps" type="object">
  The app details of the account holder's business
</ParamField>

<ParamField body="websites" type="array">
  The website/app for the account holder's business. A minimum of 1 website is required.
</ParamField>

<ParamField body="android" type="array">
  Android app details
</ParamField>

<ParamField body="url" type="string">
  The link of the Android app. Regex is (protocol://`razorpay.com`:port/resource path?querystring#fragementid) <br /> protocol-both http/https allowed.
</ParamField>

<ParamField body="name" type="string">
  The name of the Android app.
</ParamField>

<ParamField body="ios" type="array">
  iOS app details
</ParamField>

<ParamField body="url" type="string">
  The link of the iOS app. Regex is (protocol://`razorpay.com`:port/resource path?querystring#fragementid) <br /> protocol-both http/https allowed.
</ParamField>

<ParamField body="name" type="string">
  The name of the iOS app.
</ParamField>

## Response Parameters

<ResponseField name="id" type="string">
  The unique identifier of the account generated by Razorpay. The maximum length is 18 characters. For example, `acc_GLGeLkU2JUeyDZ`.
</ResponseField>

<ResponseField name="type" type="string">
  The account type. Possible value is `route`.
</ResponseField>

<ResponseField name="status" type="string">
  The status of the account. Possible values:

  * `created`
  * `suspended`
</ResponseField>

<ResponseField name="email" type="string">
  The account holder's email address.
</ResponseField>

<ResponseField name="phone" type="integer">
  The account holder's phone number. The minimum length is 8 characters and the maximum length is 15.
</ResponseField>

<ResponseField name="legal_business_name" type="string">
  The name of the account holder's business. For example, `Acme Corp`. The minimum length is 4 characters and the maximum length is 200.
</ResponseField>

<ResponseField name="business_type" type="string">
  The type of business operated by the account holder. Possible values: [Business Types](/docs/api/payments/route).
</ResponseField>

<ResponseField name="profile" type="object">
  The account holder's business details.
</ResponseField>

<ResponseField name="category" type="string">
  The business category of the account holder. For example, `healthcare`. Possible values: [Business Category](/docs/api/payments/route).
</ResponseField>

<ResponseField name="subcategory" type="string">
  The business sub-category of the account holder. For example, `clinic`. Possible values: [Business Sub-Category](/docs/api/payments/route).
</ResponseField>

<ResponseField name="addresses" type="object">
  Details of account holder's address.
</ResponseField>

<ResponseField name="registered" type="object">
  Details of the account holder's registered address.
</ResponseField>

<ResponseField name="street1" type="string">
  Address, line 1. The maximum length is 100 characters.
</ResponseField>

<ResponseField name="street2" type="string">
  Address, line 2. The maximum length is 100 characters.
</ResponseField>

<ResponseField name="city" type="string">
  The city. The maximum length is 100 characters.
</ResponseField>

<ResponseField name="state" type="string">
  The state. The minimum length is 2 and the maximum length is 100.
</ResponseField>

<ResponseField name="postal_code" type="integer">
  The postal code. This should be exactly 6 characters.
</ResponseField>

<ResponseField name="country" type="string">
  The country. The minimum length is 2 and the maximum length is 64. This can either be a country code in capital letters or the full name of the country in lower case letters. For example, for India, you must write either `IN` or `india`.
</ResponseField>

<ResponseField name="operation" type="object">
  Details of the account holder's operational address. This parameter might be required to complete the KYC process. However, it is optional for this API.
</ResponseField>

<ResponseField name="street1" type="string">
  Address, line 1. The maximum length is 100 characters.
</ResponseField>

<ResponseField name="street2" type="string">
  Address, line 2. The maximum length is 100 characters.
</ResponseField>

<ResponseField name="city" type="string">
  The city. The maximum length is 100 characters.
</ResponseField>

<ResponseField name="state" type="string">
  The state. The minimum length is 2 and the maximum length is 100.
</ResponseField>

<ResponseField name="postal_code" type="integer">
  The postal code. This should be exactly 6 characters.
</ResponseField>

<ResponseField name="country" type="string">
  The country. The minimum length is 2 and the maximum length is 64. This can either be a country code in capital letters or the full name of the country in lower case letters. For example, for India, you must write either `IN` or `india`.
</ResponseField>

<ResponseField name="legal_info" type="object">
  The legal details about the account holder's business. The mandatory [KYC requirement](/docs/api/payments/route) parameters should be passed depending on the business requirements.
</ResponseField>

<ResponseField name="pan" type="string">
  Valid PAN number details of the account holder's business.

  * This is a 10-digit alphanumeric code. For example, `AVOJB1111K`.
  * The 4th digit should be either of 'C', 'H', 'F', 'A', 'T', 'B', 'J', 'G', 'L'.
  * The regex for Company PAN is `/^[a-zA-z]{5}\d{4}[a-zA-Z]{1}$/`. This parameter might be required to complete the KYC process. However, it is optional for this API.
</ResponseField>

<ResponseField name="gst" type="string">
  Valid GSTIN number details of the account holder.

  * This is a 15-digit PAN-based unique identification number.
  * The Regex for GSTIN is `/^[0123][0-9][a-z]{5}[0-9]{4}[a-z][0-9][a-z0-9][a-z0-9]$/gi`.
</ResponseField>

<ResponseField name="notes" type="object">
  Contains user-defined fields stored by the partner for reference purposes.
</ResponseField>

<ResponseField name="contact_name" type="string">
  The name of the contact. The minimum length is 4 and the maximum length is 255 characters.
</ResponseField>

<ResponseField name="contact_info" type="object">
  Options available for contact support.
</ResponseField>

## Errors

<AccordionGroup>
  <Accordion title="Linked account does not exist.">
    **Code:** `400`

    This error occurs when the requester is not the parent of the child account, or the child account does not exist.

    **Solution:** Ensure the Linked Account id exists before proceeding with the update API.
  </Accordion>

  <Accordion title="Merchant activation form has been locked for editing by admin.">
    **Code:** `400`

    This error occurs when the submitted extra fields are under the review stage.

    **Solution:** You can wait for the review to be successful.
  </Accordion>
</AccordionGroup>
